import { migrationStrategyForServices } from '../../../../../src/migration/ember-app/tests/services.js';
import { inputProject } from '../../../../fixtures/app-pod-path.js';
import { assert, loadFixture, test } from '../../../../test-helpers.js';

test('migration | ember-app | tests | services > podPath', function () {
  const options = {
    podPath: 'pods',
    projectRoot: 'tmp/app-pod-path',
    testRun: false,
  };

  loadFixture(inputProject, options);

  const migrationStrategy = migrationStrategyForServices(options);

  assert.deepStrictEqual(migrationStrategy, [
    [
      'tests/unit/pods/config/service-test.js',
      'tests/unit/services/config-test.js',
    ],
    [
      'tests/unit/pods/experiments/service-test.js',
      'tests/unit/services/experiments-test.js',
    ],
  ]);
});
